* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'poppins', 'sana-serif';

}
body {
    color: #ededed;
    background: #081b29;
}
.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 20px;
    background:#081b29;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}

.logo {
    position: relative;
    font-size: 25px;
    color: #fff;
    text-decoration: none;
    font-weight: 600;
    cursor: default;
    opacity: 0;
    animation: slideRight 1s ease forwards;
}

.navbar a {
    display: inline-block;
    font-size: 25px;
    color: #fff;
    font-weight: 500;
    margin-left: 35px;
    transition: .3s;
    opacity: 0;
    animation: slideTop .5s ease forwards;
    animation-delay: calc(.2s*var(--i));
}

.navbar a:hover {
    color: #0ef;
}

.home {
    position: relative;
    width: 100%;
    justify-content: space-between;
    height: 130vh;
    background: url('https://img.freepik.com/free-photo/gradient-blue-abstract-background-smooth-dark-blue-with-black-vignette-studio_1258-68067.jpg?size=626&ext=jpg&ga=GA1.1.1880011253.1728864000&semt=ais_hybrid-rr-similar');
    /* background: url('https://img.freepik.com/free-photo/abstract-luxury-gradient-blue-background-smooth-dark-blue-with-black-vignette-studio-banner_1258-54058.jpg'); */
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    padding: 10px 10% 0;
}
.coding-pic img{
    height:20rem;
    width: 40rem;
    border-radius: 0.4rem;
}
.home-content {
    max-width:600px;
}
.home-content h3 {
    font-size: 32px;
    font-weight: 700;
    opacity: 0;
    animation: slideBottom 1s ease forwards;
    animation-delay: .7s;
}

.home-content h3:nth-of-type(2) {
    margin-bottom: 30px;
    animation: slideTop 1s ease forwards;
    animation-delay: .7s;
}

.home-content h3 span {
    color: #0ef;
}

.home-content h2 {
    font-size: 56px;
    font-weight: 700;
    margin: -3px 0;
    opacity: 0;
    animation: slideRight 1s ease forwards;
    animation-delay: 1s;
}

.home-content p {
    font-size: 20px;
    opacity: 0;
    animation: slideLeft 1s ease forwards;
    animation-delay: 1s;
}

.home-sci a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    background: transparent;
    border: 2px solid #0ef;
    border-radius: 50%;
    font-size: 25px;
    color: #0ef;
    text-decoration: none;
    opacity: 0;
    transition: .5s ease;
    animation: slideLeft 1s ease forwards;
    animation-delay: calc(.2s*var(--i));
    margin: 30px 15px 30px 0;
}

.home-sci a:hover {
    background: #0ef;
    color: #081b29;
    box-shadow: 0 0 20px #0ef;
}

.btn-box {
    display: inline-block;
    padding: 12px 28px;
    background: #0ef;
    border-radius: 40px;
    font-size: 16px;
    color: #081b29;
    color: #081b29;
    letter-spacing: 1px;
    text-decoration: none;
    font-weight: 600;
    opacity: 0;
    animation: slideTop 1s ease forwards;
    animation-delay: 2s;
    box-shadow: 0 0 5px #0ef,
        0 0 25px #0ef;
}

.btn-box:hover {
    box-shadow: 0 0 5px cyan,
        0 0 25px cyan, 0 0 50px cyan, 0 0 100px cyan, 0 0 200px cyan;
}

@keyframes slideRight {
    0% {
        transform: translateX(-100px);
        opacity: 0;
    }

    100% {
        transform: translateX(0px);
        opacity: 1;
    }
}

@keyframes slideTop {
    0% {
        transform: translateY(100px);
        opacity: 0;
    }

    100% {
        transform: translateY(0px);
        opacity: 1;
    }
}
@keyframes slideBottom {
    0% {
        transform: translateY(-100px);
        opacity: 0;
    }

    100% {
        transform: translateY(0px);
        opacity: 1;
    }
}

@keyframes slideLeft {
    0% {
        transform: translateX(100px);
        opacity: 0;
    }

    100% {
        transform: translateX(0px);
        opacity: 1;
    }
}
.home-content span{
    font-size:30px;
}
/* this is the about section */
.about{
    padding: 2rem;
    display: grid;
    grid-template-columns: repeat(2,1fr);
    align-items: center;
    gap:1.5rem;
}
.about-img {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

.about-img img {
    height: 470px;
    width: 370px;
    border-radius: 15px;
    box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

.about-img img:hover {
    transform: scale(1.05);
    box-shadow: 8px 8px 20px rgba(0, 0, 0, 0.3);
}


.about-text h2{
    font-size: 60px;
} 
.about-text h2 span{
    color: #0ef;
}
.about-text h4{
    font-size: 29px;
    font-weight: 600;
    color: #fff;
    line-height: 1.7;
    margin: 15px 0 30px;
}
.about-text p{
    color: aliceblue;
    font-size: 20px;
    line-height:1.4;
    margin-bottom: 4rem;
}

/* this is the third Part */
.services{
    color: aliceblue;
    font-size: 20px;
    line-height: 1.4;
    margin-bottom: 4rem;
}
.sub-title{
    text-align: center;
    font-size: 64px;
    padding-bottom:20px;
}
.sub-title span{
    color: #0ef;
}
.container{
   padding: 90px;

}
.services-list{
  display: grid;
  grid-template-columns: repeat(auto-fit,minmax(259px,1fr)); 
  grid-gap:40px;
  margin-top: 50px;
}
.services-list div{
    background-color: transparent;
    padding: 40px;
    font-size: 13px;
    font-weight: 13px;
    border-right: 10px;
    border-radius: 20px;
    transition:background 0.5s,transform 0.5s;
    box-shadow: 1px 1px 20px #012290f7 ,1px 1px 40px #012290f7;
}
.services-list div i{
    font-size: 50px;
    margin-bottom: 30px;
}
.services-list div h2{
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 15px;
}

.services-list div a{
    text-decoration: none;
    color: #000000;
    font-size: 12px;
    margin-top: 20px;
    display: inline-block;
}
.read{
    display: inline-block;
    padding: 12px 20px;
    background: #0ef;
    border-radius: 40px;
    font-size: 19px;
    color: #081b29;
    letter-spacing: 1px;
    text-decoration: none;
    font-weight: 600;
    opacity: 0;
    animation: slideTop 1s ease forwards;
    animation-delay: 2s;
    box-shadow: 0 0 5px #0ef,
    0 0 25px #0ef;
}
.read:hover{
    box-shadow: 0 0 5px cyan,
    0 0 25px cyan,
    0 0 50px cyan,
    0 0 100px cyan,
    0 0 200px cyan;
}
.services-list div:hover{
    transform: translateY(-10px);
} 


/* This is the skills part  */
.one1{
    display: flex;
    justify-content: space-between;
    padding:0.5rem;
}
.one1 i{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 60px; 
    height:60px; 
    background: transparent;
    border-radius: 50%;
    font-size: 30px;
    color: #0ef;
    text-decoration: none;    
}
.one1 span{
    font-size:1.5rem;
    transition: font-size 0.3s ease; 
}
.one1 span:hover {
    font-size: 2rem; /* Change this to the desired size on hover */
    color: #0ef;

}
.radial-bar .text{
    transition: font-size 0.3s ease; 
}
.radial-bar .text:hover{
    font-size: 2rem; 
    color: #0ef;
}
.pic {
    margin-left:0.4rem;
    height:2.4rem;
    width: 2.4rem;
    filter: brightness(0) saturate(100%) invert(39%) sepia(93%) saturate(374%) hue-rotate(84deg) brightness(91%) contrast(102%);
}
.types-skills{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}
.types-skills h1{
    font-size:2.8rem;
}
.heading1 span{
    color: #0ef;
}
.radial-bar {
    display:flex; 
    flex-direction: row; 
    align-items: center; 
    margin-bottom: 1rem;
    justify-content: space-between;
}

.radial-bar .text {
    margin-bottom: 0; 
    font-size: 1.3rem;
}

.radial-bar span {
    margin-top: 0.2rem;
    font-size: 2rem;
    transition: font-size 0.3s ease; 

}
.radial-bar span:hover{
    font-size: 2.8rem;
    color: #0ef;
}


/* this is the projects part i will make this by today */
.main-text{
    padding-top: 18px;
    margin-top:20px;
}
.main-text h2{
    font-size: 60px;
    line-height: 1;
    text-align: center;
}
.main-text h2 span{
    color: #0ef;
}
.portfolio-content{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;

}
.row{
    height:27rem;
    width:650px;
    position: relative;
    overflow: hidden;
    border-radius: 8px;
    cursor: pointer;
    margin: 2rem;
}
.layer a{
    font-size:2rem;
    text-decoration: none;
    color: black;
    font-weight: 700;
}
.row img{
    height: 100%;
    background-size: cover;
    background-repeat: no-repeat;
    width: 100%;
    border-radius: 8px;
    display: block;
    transition:transform 0.5s;
}
.layer{
    width: 100%;
    height: 0;
    background: linear-gradient(rgba(0,0,0,0.1),#0ef);
    position: absolute;
    border-radius: 8px;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 0 40px;
    transition: height 0.5s;
} 
.layer h5{
    color: #000;
    font-size:35px;
    font-weight: 600;
    margin-bottom: 15px;
}
.layer p{
    color: #000;
    font-size: 1rem;
    line-height: 1.8;
}
.row:hover img{
    transform: scale(1.1);
}
.row:hover .layer{
    height: 100%;
}

/* last Page */
.contact{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    align-items: center;
    gap: 3rem;
    padding-left: 30px;
    margin-top: 130px;
}
.contact-text h2{
    font-size: 90px;
    line-height:1;
    text-align: center;

}
.contact-text h2 span{
    color: #0ef;
}
.contact-text h4{
    margin: 15px 0;
    color: rgb(228,228,228);
    font-size: 20px;
    font-weight: 600;
}
.contact-text p{
    color: rgb(177,177,177);
    font-size: 20px;
    line-height: 1;
    margin-bottom: 2rem;
}
.contact-list{
    margin-bottom: 3rem;
}
.contact-list li{
    margin-bottom: 10px;
    display: block;
}
.contact-list i{
    display: inline-block;
    color: #0ef;
    font-size: 20px;
    font-weight: 600;
}
.contact-list li a:hover{
    transform: scale(1.01) translateY(-5px);
    color: #0ef;
}
.contact-icons i{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    background: transparent;
    border: 2px solid #0ef;
    border-radius: 50%;
    font-size: 20px;
    color: #0ef;
    text-decoration: none;
    margin: 30px 15px 30px 0;
    transition: .5s ease;
    opacity: 0;
    animation: slideLeft 1s ease forwards;
    animation-delay: calc(.2s*var(--i));
}
.contact-icons i:hover{
    background: #0ef;
    color: #000;
    box-shadow: 0 0 20px #0ef;
}
.contact-form form{
    position: relative;
}
.contact-form form input,form textarea{
    border: none;
    outline: none;
    width: 90%;
    padding: 18px;
    background: whitesmoke;
    color: #000;
    font-size: 1rem;
    font-weight: 600;
    margin-bottom: 0.5rem;
    border-radius: 0.5rem;
}
.contact-form textarea{
    resize: none;
    height: 220px;
}
.contact-form form .send{
    display: inline-block;
    padding: 14px 60px;
    background: rgb(87, 222, 232);
    border-radius:10px;
    font-size: 18px;
    color: #081b29;
    letter-spacing: 1px;
    text-decoration: none;
    font-weight: 600;
}

.last-text p{
    width: 100%;
    text-align: center;
    padding: 25px 0;
    font-size: 19px;
    background: rgb(115, 205, 212);
    font-weight:600;
    margin-top: 70px;
    color: #081b29;
}
.top{
    position: fixed;
    bottom:0.9rem;
    right: 2.1rem;
}
.top i{
    color: #000000;
    background: #0ef;
    font-size: 28px;
    padding:10px;
    border-radius: 0.5rem;
}








































































































































